/***************************************************************************/
/** @file       Font_Texture.h
    @brief      font rendering by texture
    @author     shom
****************************************************************************/

#pragma once

#include "Font_Base.h"

class CFont_Texture_Raw;

class CFont_Texture
:
public CFont_Base
{
public:
	CFont_Texture();

	virtual void	Draw( const TCHAR* in_szText, const font_def::FontContext_t& in_Context );

private:
	SPTR_T( CFont_Texture_Raw ) m_pRaw;
};
